# This file created by conda-build 3.22.0
# ------------------------------------------------

package:
  name: libssh2
  version: 1.10.0
source:
  patches:
    - 246c7cb0184b9e1a882c753b412825799c7a9118.patch
  sha256: 2d64e90f3ded394b91d3a2e774ca203a4179f69aebee03003e5a6fa621e41d51
  url: https://www.libssh2.org/download/libssh2-1.10.0.tar.gz
build:
  number: 3
  run_exports:
    - libssh2 >=1.10.0,<2.0a0
  string: haa6b8db_3
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.36.1 h193b22a_2
    - binutils_linux-64 2.36 hf3e587d_10
    - cmake-no-system 3.16.5 h9c3ff4c_0
    - gcc_impl_linux-64 10.4.0 h7ee1905_16
    - gcc_linux-64 10.4.0 h9215b83_10
    - kernel-headers_linux-64 2.6.32 he073ed8_15
    - ld_impl_linux-64 2.36.1 hea4e1c9_2
    - libgcc-devel_linux-64 10.4.0 h74af60c_16
    - libgcc-ng 12.1.0 h8d9b700_16
    - libgomp 12.1.0 h8d9b700_16
    - libsanitizer 10.4.0 hde28e3b_16
    - libstdcxx-ng 12.1.0 ha89aaad_16
    - make 4.3 hd18ef5c_1
    - sysroot_linux-64 2.12 he073ed8_15
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - ca-certificates 2022.6.15 ha878542_0
    - libgcc-ng 12.1.0 h8d9b700_16
    - libgomp 12.1.0 h8d9b700_16
    - libzlib 1.2.12 h166bdaf_2
    - openssl 1.1.1q h166bdaf_0
    - zlib 1.2.12 h166bdaf_2
  run:
    - libgcc-ng >=12
    - libzlib >=1.2.12,<1.3.0a0
    - openssl >=1.1.1q,<1.1.2a
test:
  commands:
    - test -f $PREFIX/include/libssh2.h
    - test -f $PREFIX/include/libssh2_publickey.h
    - test -f $PREFIX/include/libssh2_sftp.h
    - test ! -f $PREFIX/lib/libssh2.a
    - test -f $PREFIX/lib/libssh2${SHLIB_EXT}
about:
  description: 'libssh2 is a library implementing the SSH2 protocol, available under
    the revised BSD license.

    '
  dev_url: https://github.com/libssh2/libssh2
  home: https://www.libssh2.org/
  license: BSD-3-Clause
  license_family: BSD
  license_file: COPYING
  summary: the SSH library
extra:
  copy_test_source_files: true
  feedstock-name: libssh2
  final: true
  recipe-maintainers:
    - nehaljwani
    - ocefpaf
    - shadowwalkersb
    - xhochy
